Subject: RFC 4234 errata - final, agreed-upon version

From: Alfred Hönes <[email-masked]>
Date: Thu, 13 Oct 2005 18:41:19 +0200 (MESZ)

Hello,

after some discussion with Dave Crocker (script of the final steps
below), I hereby submit the final, agreed upon, version of the
suggested Errata Note for RFC 4234.

-- 
> On 12 Oct 2005 22:13:20 +0200 (MESZ),
>   "Alfred Hönes" <[email-masked]> wrote to <[email-masked]>:
> 
>> thanks again for your second response.  Enclosed you'll find the
>> compiled errata message I now intend to submit to the RFC-Ed.
>>
>> If you agree, I will send that message to the RFC-Ed.
>> (This mail is not CC'ed to the RFC-Editor - only to Paul Overell.)
-- 
On 13 Oct 2005 08:57:43 -0700,
  "Dave Crocker" <[email-masked]> wrote to <[email-masked]>:
> very nicely written.  go ahead and post it.  thanks for you diligence!
>
> d/
-- 

------ cut here ------

(1)

In Section 3.10., RFC 4234 says:

   The various mechanisms described above have the following precedence,
   from highest (binding tightest) at the top, to lowest (loosest) at
   the bottom:

         Strings, Names formation

         Comment

         Value range

         Repetition

         Grouping, Optional

         Concatenation

         Alternative

It should say:

   The various mechanisms described above have the following precedence,
   from highest (binding tightest) at the top, to lowest (loosest) at
   the bottom:

         Strings, Names formation

         Comment

         Value range

|        Grouping, Optional
|
|        Repetition

         Concatenation

         Alternative

This re-ordering aligns the table with the prose description and the
meta-grammar in section 4.

(2)

The following clarifications apply to the meta-grammar in section 4.

a) Near the bottom of page 10, the rule:

         repetition     =  [repeat] element

   should say:

|        repetition     =  ( [repeat] element ) / option

   At the top of page 11, the rule:

         element        =  rulename / group / option /
                           char-val / num-val / prose-val

   should say:

|        element        =  rulename / group /
                           char-val / num-val / prose-val

   These changes have the effect to formally disallow
   a <repeat> element in front of an <option>
   -- a senseless construct formerly unexpectedly allowed.

b) On page 11, the last rule:

         prose-val      =  "<" *(%x20-3D / %x3F-7E) ">"
                               ; bracketed string of SP and VCHAR
                               ;  without angles
                               ; prose description, to be used as
                               ;  last resort
   should say:

         prose-val      =  "<" *(%x20-3D / %x3F-7E) ">"
|                              ; bracketed string of:
|                              ;  SP and VCHAR without closing angle
                               ; prose description, to be used as
                               ;  last resort

   This change aligns the comment with the formal rule.

(3)

The first sentence of Appendix B.2., on page 14, says:

   Externally, data are represented as "network virtual ASCII" (namely,
   7-bit US-ASCII in an 8-bit field), with the high (8th) bit set to
   zero.

It should say:

   Externally, data are represented as "network virtual ASCII" (namely,
   7-bit US-ASCII in an 8-bit field, with the high (8th) bit set to
   zero).

This change should make it clear (as in RFC 2234) that the phrase,
"with the high (8th) bit set to zero" is an intrinsic part of the
full definition of "network virtual ASCII", and not the specification
of an exception -- or an additional manipulation for the purpose of
ABNF -- to "network virtual ASCII".

------ cut here ------

Best Regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+